package nadovezivanje;

import java.util.Arrays;
import java.util.Scanner;

public class Nadovezivanje {
    public static void main(String[] args) {
        String[] a = new String[3];
        String n;
        Scanner s = new Scanner(System.in);
        a[0] = s.next();
        a[1] = s.next();
        a[2] = s.next();
        Arrays.sort(a);
        n = a[2] + a[1] + a[0];
        System.out.println(n);
    }
}